## okteta 0.26.10

=== core/CMakeLists.txt ===
set(OKTETACORE_VERSION ${OKTETALIBS_LIB_VERSION})
set(OKTETACORE_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetacore\")

macro(OKTETACORE_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Core NAMESPACE Okteta
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

oktetacore_add_sublibrary(codecs
    PRIVATE
        BinaryByteCodec
        ValueCodec
        CharCodec
        DecimalByteCodec
        USASCIICharCodec
        EBCDIC1047CharCodec
        IBM874CharCodec
        JISX0201CharCodec
        HexadecimalByteCodec
        OctalByteCodec
        TextCharCodec
)

oktetacore_add_sublibrary(piecetable
    PRIVATE
        PieceList
        PieceTable
        AbstractPieceTableChange
#           FillPieceTableChange
        InsertPieceTableChange
        RemovePieceTableChange
        ReplacePieceTableChange
        SwapRangesPieceTableChange
        GroupPieceTableChange
        PieceTableChangehistory
        RevertablePiecetable
)

okteta_add_sublibrary(Core  NAMESPACE Okteta
    PUBLIC
        OktetaCore
        Range
        NumberRange

        Address
        AddressRange
        Size
        Byte
        AbstractByteArrayModel
        Versionable
        Bookmarkable
        ChangesDescribable
        ChangeHistory

        ByteArrayModel
        #FileByteArrayModel
        PieceTableByteArrayModel

        Character
        ArrayChangeMetrics
        ArrayChangeMetricsList
        ByteArrayChange

        Bookmark
        BookmarksConstIteratorAdapter # TODO: make private or move adapter class to iterator
        BookmarksConstIterator

        TextByteArrayAnalyzer
        ValueCodec
        CharCodec

    PRIVATE
        FileByteArrayModel
        FixedSizeByteArrayModel

        BookmarkListConstIteratorAdapter
        AddressRangeList
        BookmarkList

)

#don't compile sources twice by using object libraries
#add_library( oktetacore_objs OBJECT ${oktetacore_LIB_SRCS} )
#target_include_directories( oktetacore_objs PUBLIC $<TARGET_PROPERTY:Qt5::Core,INTERFACE_INCLUDE_DIRECTORIES> )
#set( oktetacore_LIB_OBJS $<TARGET_OBJECTS:oktetacore_objs>)

# compile flags don't get set for object libraries, since cannot link to target
#TODO: find out how to properly use targets for object libraries
set( oktetacore_LIB_OBJS ${oktetacore_LIB_SRCS} )


okteta_add_library(Core NAMESPACE Okteta
    PUBLIC
        Qt5::Core
    PRIVATE
        KF5::I18n
        KF5::Codecs   #needed for codecs
    VERSION     ${OKTETACORE_VERSION}
    SOVERSION   ${OKTETACORE_SO_VERSION}
    ABIVERSION  ${OKTETALIBS_ABI_VERSION}
    SOURCES   ${oktetacore_LIB_SRCS}
    HEADERS   ${oktetacore_LIB_HDRS}
    CCHEADERS ${oktetacore_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

okteta_add_cmakeconfig(Core NAMESPACE Okteta
)

okteta_add_qmakeconfig(Core NAMESPACE Okteta
    DEPS core
)

okteta_add_pkgconfig(Core NAMESPACE Okteta
    DEPS Qt5Core
    DESCRIPTION "Okteta Core"
)


if(BUILD_TESTING)
  add_library( testoktetacore STATIC ${oktetacore_LIB_OBJS} )
  set_target_properties( testoktetacore PROPERTIES COMPILE_FLAGS -DOKTETACORE_STATIC_DEFINE )
  target_include_directories( testoktetacore PUBLIC ${CMAKE_CURRENT_BINARY_DIR} )
  target_link_libraries( testoktetacore Qt5::Core KF5::I18n KF5::Codecs )
  add_subdirectory( piecetable/tests )
  add_subdirectory( tests )
endif()

=== mimetypes/CMakeLists.txt ===
# shared-mime-info 0.40 is mandatory for generic-icon
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
find_package( SharedMimeInfo REQUIRED )

install( FILES okteta.xml  DESTINATION ${KDE_INSTALL_MIMEDIR} )
update_xdg_mimetypes( ${KDE_INSTALL_MIMEDIR} )

=== core/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/.. # for oktetacore_export.hpp
  ${CMAKE_CURRENT_SOURCE_DIR}/.. # okteta core includes
)

# make sure to not use KDE_EXPORT or KDE_IMPORT because we link statically
# against a small part of the libs
add_definitions(-DOKTETACORE_STATIC_DEFINE)

# helper
set( oktetacoretestutil_LIB_SRCS
  util/fill.cpp
)

add_library( oktetacoretestutil  STATIC ${oktetacoretestutil_LIB_SRCS} )
target_link_libraries( oktetacoretestutil Qt5::Core )

ecm_add_test(
  arraychangemetricstest.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/../arraychangemetrics.cpp
  TEST_NAME arraychangemetricstest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES Qt5::Test
)


ecm_add_test(
  addressrangetest.cpp
  TEST_NAME addressrangetest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test
)


ecm_add_test(
  addressrangelisttest.cpp
  TEST_NAME addressrangelisttest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test
)


ecm_add_test(
  fixedsizebytearraymodeltest.cpp
  TEST_NAME fixedsizebytearraymodeltest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test KF5::I18n
)


ecm_add_test(
  abstractbytearraymodeliftest.cpp
  fixedsizebytearraymodelabstractbytearraymodeliftest.cpp
  TEST_NAME fixedsizebytearraymodelabstractbytearraymodeliftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES oktetacoretestutil testoktetacore Qt5::Test KF5::I18n
)


ecm_add_test(
  bytearraymodeltest.cpp
  TEST_NAME bytearraymodeltest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES OktetaCore Qt5::Test
)


ecm_add_test(
  abstractbytearraymodeliftest.cpp
  bytearraymodelabstractbytearraymodeliftest.cpp
  TEST_NAME bytearraymodelabstractbytearraymodeliftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES oktetacoretestutil testoktetacore Qt5::Test KF5::I18n
)


ecm_add_test(
  abstractbytearraymodeliftest.cpp
  piecetablebytearraymodelabstractbytearraymodeliftest.cpp
  TEST_NAME piecetablebytearraymodelabstractbytearraymodeliftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES oktetacoretestutil testoktetacore Qt5::Test KF5::I18n
)


ecm_add_test(
  versionableiftest.cpp
  piecetablebytearraymodelversionableiftest.cpp
  TEST_NAME piecetablebytearraymodelversionableiftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES oktetacoretestutil OktetaCore Qt5::Test
)


ecm_add_test(
  valuecodectest.cpp
  TEST_NAME valuecodectest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES OktetaCore Qt5::Test
)


ecm_add_test(
  charcodectest.cpp
  TEST_NAME charcodectest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES OktetaCore Qt5::Test KF5::I18n
)


ecm_add_test(
  textcharcodectest.cpp
  TEST_NAME textcharcodectest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test KF5::I18n KF5::Codecs
)


ecm_add_test(
  charcodeciftest.cpp
  textcharcodeccharcodeciftest.cpp
  TEST_NAME textcharcodeccharcodeciftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test KF5::I18n KF5::Codecs
)


ecm_add_test(
  charcodeciftest.cpp ebcdic1047charcodeccharcodeciftest.cpp
  TEST_NAME ebcdic1047charcodeccharcodeciftest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test
)


ecm_add_test(
  bookmarktest.cpp
  TEST_NAME bookmarktest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES Qt5::Test
)


ecm_add_test(
  bookmarklisttest.cpp
  TEST_NAME bookmarklisttest
  NAME_PREFIX libokteta-core-
  LINK_LIBRARIES testoktetacore Qt5::Test KF5::I18n
)

=== parts/kpart/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"oktetapart\")

configure_file(oktetapart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/oktetapart.desktop @ONLY)

set( oktetapart_SRCS
  part.cpp
  browserextension.cpp
  partfactory.cpp
)

set_source_files_properties(partfactory.cpp PROPERTIES
    COMPILE_FLAGS -DOKTETA_VERSION=\\\"${Okteta_VERSION}\\\"
)

qt5_add_resources(oktetapart_SRCS
    oktetapart.qrc
)

add_library( oktetapart  MODULE ${oktetapart_SRCS} )


target_link_libraries( oktetapart
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
)

install( TARGETS oktetapart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
kcoreaddons_desktop_to_json(oktetapart ${CMAKE_CURRENT_BINARY_DIR}/oktetapart.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oktetapart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libs/kasten/controllers/CMakeLists.txt ===
set(KASTENCONTROLLERS_VERSION ${KASTEN_LIB_VERSION})
set(KASTENCONTROLLERS_SO_VERSION ${KASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"libkasten\")

macro(KASTENCONTROLLERS_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Controllers  NAMESPACE Kasten
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

kastencontrollers_add_sublibrary(io/synchronize
    PUBLIC
        SynchronizeControllerFactory
    PRIVATE
        SynchronizeController
)

kastencontrollers_add_sublibrary(io/setremote
    PUBLIC
        SetRemoteControllerFactory
    PRIVATE
        SetRemoteController
)

kastencontrollers_add_sublibrary(documentsystem/creator
    PUBLIC
        CreatorControllerFactory
    PRIVATE
        CreatorController
)

kastencontrollers_add_sublibrary(documentsystem/loader
    PUBLIC
        LoaderControllerFactory
    PRIVATE
        LoaderController
)

kastencontrollers_add_sublibrary(documentsystem/close
    PUBLIC
        CloseControllerFactory
    PRIVATE
        CloseController
)

kastencontrollers_add_sublibrary(documentsystem/filesystembrowser
    PUBLIC
        FileSystemBrowserToolFactory
        FileSystemBrowserToolViewFactory
    PRIVATE
        FileSystemBrowserView
        FileSystemBrowserTool
        FileSystemBrowserToolView
)

kastencontrollers_add_sublibrary(documentsystem/documentsbrowser
    PUBLIC
        DocumentsToolFactory
        DocumentsToolViewFactory
    PRIVATE
        DocumentsView
        DocumentListModel
        DocumentsTool
        DocumentsToolView
)

kastencontrollers_add_sublibrary(document/terminal
    PUBLIC
        TerminalToolFactory
        TerminalToolViewFactory
    PRIVATE
        TerminalView
        TerminalTool
        TerminalToolView
)

kastencontrollers_add_sublibrary(document/modified
    PUBLIC
        ModifiedBarControllerFactory
    PRIVATE
        ModifiedBarController
        IconLabel
)

kastencontrollers_add_sublibrary(document/readonly
    PUBLIC
        ReadOnlyControllerFactory
        # TODO: two plugins in one subdir
        ReadOnlyBarControllerFactory
    PRIVATE
        ReadOnlyController
        ReadOnlyBarController
)

if(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
kastencontrollers_add_sublibrary(document/versionview
    PUBLIC
        VersionViewToolFactory
        VersionViewToolViewFactory
    PRIVATE
        VersionTableModel
        VersionView
        VersionViewTool
        VersionViewToolView
)
endif()

kastencontrollers_add_sublibrary(view/version
    PUBLIC
        VersionControllerFactory
    PRIVATE
        VersionController
)

kastencontrollers_add_sublibrary(view/zoom
    PUBLIC
        ZoomControllerFactory
        # TODO: two plugins in one subdir
        ZoomBarControllerFactory
    PRIVATE
        ZoomSlider
        ZoomController
        ZoomBarController
)

kastencontrollers_add_sublibrary(view/select
    PUBLIC
        SelectControllerFactory
    PRIVATE
        SelectController
)

kastencontrollers_add_sublibrary(io/clipboard
    PUBLIC
        ClipboardControllerFactory
    PRIVATE
        ClipboardController
)

kastencontrollers_add_sublibrary(io/insert
    PUBLIC
        InsertControllerFactory
    PRIVATE
        InsertDialog
        InsertController
)

kastencontrollers_add_sublibrary(io/copyas
    PUBLIC
        CopyAsControllerFactory
    PRIVATE
        CopyAsDialog
        CopyAsController
)

kastencontrollers_add_sublibrary(io/export
    PUBLIC
        ExportControllerFactory
    PRIVATE
        ExportDialog
        ExportController
)

# set( CLOSECONTROLLER_SRCS
#   viewsystem/close/closecontroller.cpp
# )
kastencontrollers_add_sublibrary(shellwindow/viewareacontextmenu
    PUBLIC
        ViewAreaContextMenuControllerFactory
    PRIVATE
        ViewAreaContextMenuController
)

kastencontrollers_add_sublibrary(shellwindow/switchview
    PUBLIC
        SwitchViewControllerFactory
    PRIVATE
        SwitchViewController
)

kastencontrollers_add_sublibrary(shellwindow/viewlistmenu
    PUBLIC
        ViewListMenuControllerFactory
    PRIVATE
        ViewListMenuController
)

kastencontrollers_add_sublibrary(shellwindow/viewareasplit
    PUBLIC
        ViewAreaSplitControllerFactory
    PRIVATE
        ViewAreaSplitController
)

kastencontrollers_add_sublibrary(shellwindow/toollistmenu
    PUBLIC
        ToolListMenuControllerFactory
    PRIVATE
        ToolListMenuController
)

kastencontrollers_add_sublibrary(shellwindow/fullscreen
    PUBLIC
        FullScreenControllerFactory
    PRIVATE
        FullScreenController
)

# KColorSchemeManager::createSchemeSelectionMenu misses to set UI string before 5.67
if(NOT KF5_VERSION VERSION_LESS "5.67.0")
set(HAVE_UICOLORSCHEMECONTROLLER TRUE)
kastencontrollers_add_sublibrary(program/uicolorscheme
    PUBLIC
        UiColorSchemeControllerFactory
    PRIVATE
        UiColorSchemeController
)
endif()

kastencontrollers_add_sublibrary(program/quit
    PUBLIC
        QuitControllerFactory
    PRIVATE
        QuitController
)


okteta_add_library(Controllers NAMESPACE Kasten
    PUBLIC
        KastenGui
        KastenCore
    PRIVATE
        KF5::I18n
        KF5::ConfigWidgets
        KF5::XmlGui
        KF5::KIOFileWidgets
        KF5::Parts
    VERSION     ${KASTENCONTROLLERS_VERSION}
    SOVERSION   ${KASTENCONTROLLERS_SO_VERSION}
    ABIVERSION  ${KASTEN_ABI_VERSION}
    SOURCES   ${kastencontrollers_LIB_SRCS}
    HEADERS   ${kastencontrollers_LIB_HDRS}
    CCHEADERS ${kastencontrollers_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

if (NOT HAVE_UICOLORSCHEMECONTROLLER)
    target_compile_definitions(KastenControllers INTERFACE KASTEN_NO_UICOLORSCHEMECONTROLLER)
endif()

okteta_add_cmakeconfig(Controllers NAMESPACE Kasten
)

=== kasten/core/document/tests/CMakeLists.txt ===
set( SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/.. )

# make sure to not use KDE_EXPORT or KDE_IMPORT because we link statically
# against a small part of the libs
add_definitions(-DOKTETACORE_EXPORT=)
add_definitions(-DOKTETAKASTENCORE_EXPORT=)
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/../..
  ${SUTDIR}
  ${SUTDIR}/..
)

########### bytearraydocumenttest ###############

ecm_add_test(
  bytearraydocumenttest.cpp
  ${SUTDIR}/bytearraydocument.cpp
  TEST_NAME bytearraydocumenttest
  NAME_PREFIX oktetakasten-document-
  LINK_LIBRARIES
  KastenCore
  testoktetacore
  Qt5::Test
  KF5::I18n
)


########### bytearraydocumentfactorytest ###############

ecm_add_test(
  bytearraydocumentfactorytest.cpp
  ${SUTDIR}/bytearraydocument.cpp
  ${SUTDIR}/bytearraydocumentfactory.cpp
  TEST_NAME bytearraydocumentfactorytest
  NAME_PREFIX oktetakasten-document-
  LINK_LIBRARIES
  KastenCore
  oktetacoretestutil
  testoktetacore
  Qt5::Test
  KF5::I18n
)

=== debian/changelog ===
okteta (5:0.26.10-1) unstable; urgency=medium

  * New upstream release.
  * Switch Maintainer to Debian KDE Extras Team.
  * Update standards version to 4.6.2, no changes needed.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Jan 2023 23:10:00 +0100

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.48.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.48.0~),
               libkf5codecs-dev (>= 5.48.0~),
               libkf5completion-dev (>= 5.48.0~),
               libkf5configwidgets-dev (>= 5.48.0~),
               libkf5crash-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5doctools-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5iconthemes-dev (>= 5.48.0~),
               libkf5kcmutils-dev (>= 5.48.0~),
               libkf5kio-dev (>= 5.48.0~),
               libkf5newstuff-dev (>= 5.48.0~),
               libkf5parts-dev (>= 5.48.0~),
               libkf5service-dev (>= 5.48.0~),
               libkf5widgetsaddons-dev (>= 5.48.0~),
               libkf5xmlgui-dev (>= 5.48.0~),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.23~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               shared-mime-info (>= 0.30),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/okteta
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/okteta.git

Package: libkasten4controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.

Package: libkasten4core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.

Package: libkasten4gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.

Package: libkasten4okteta2controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.

Package: libkasten4okteta2core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.

Package: libkasten4okteta2gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.

Package: libokteta3core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.

Package: libokteta3gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.

Package: libokteta-l10n
Architecture: all
Section: localization
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkasten3core3 (<< 5:0.26.2),
        libkasten3okteta1core1 (<< 5:0.26.2),
        libokteta2core2 (<< 5:0.26.2),
        libokteta2gui2 (<< 5:0.26.2),
Replaces: libkasten3core3 (<< 5:0.26.2),
          libkasten3okteta1core1 (<< 5:0.26.2),
          libokteta2core2 (<< 5:0.26.2),
          libokteta2gui2 (<< 5:0.26.2),
Description: translations of okteta/kasten libraries
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the translations for the various libokteta/libkasten
 libraries.

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkf5xmlgui-dev (>= 5.48.0~),
         qtbase5-dev (>= 5.9~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## okteta 0.26.13

=== debian/changelog ===
okteta (5:0.26.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Aug 2023 05:47:42 +0200

okteta (5:0.26.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove an obsolete maintscript entry.
  * Drop the breaks/replaces for versions older than Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jul 2023 20:54:46 +0200

okteta (5:0.26.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files; the lost symbols are private bits which were hidden.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 23:57:03 +0200

=== debian/control ===
--- 
+++ 
@@ -136,14 +136,6 @@
 Section: localization
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: libkasten3core3 (<< 5:0.26.2),
-        libkasten3okteta1core1 (<< 5:0.26.2),
-        libokteta2core2 (<< 5:0.26.2),
-        libokteta2gui2 (<< 5:0.26.2),
-Replaces: libkasten3core3 (<< 5:0.26.2),
-          libkasten3okteta1core1 (<< 5:0.26.2),
-          libokteta2core2 (<< 5:0.26.2),
-          libokteta2gui2 (<< 5:0.26.2),
 Description: translations of okteta/kasten libraries
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.

## okteta 0.26.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(Okteta VERSION 0.26.15)

set(REQUIRED_KF5_VERSION "5.48.0")
find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# ECM macros
include(ECMInstallIcons)
include(ECMAddAppIcon)
# CMake macros
include(FeatureSummary)
include(CMakeDependentOption)
if(BUILD_TESTING)
  include(ECMAddTests)
endif()
# Okteta macros
include(OktetaInternalMacros)

# control build scope, default to examples if BUILD_TESTING is ON
if( NOT DEFINED OMIT_EXAMPLES AND NOT BUILD_TESTING )
    set( OMIT_EXAMPLES TRUE )
endif()
if( NOT DEFINED OMIT_INTERNAL_TEMPLATES AND NOT BUILD_TESTING )
    set( OMIT_INTERNAL_TEMPLATES TRUE )
endif()

if( NOT OMIT_EXAMPLES )
    set( OKTETA_BUILD_EXAMPLES TRUE )
endif()
if( NOT OMIT_INTERNAL_TEMPLATES )
    set( KASTEN_BUILD_INTERNAL_TEMPLATES TRUE )
endif()

option(BUILD_DESIGNERPLUGIN "Build the Designer plugin." ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Qt Designer plugin")
option(BUILD_OKTETAKASTENLIBS "Build the Okteta Kasten libraries." ON)
add_feature_info(OKTETAKASTENLIBS ${BUILD_OKTETAKASTENLIBS} "Okteta Kasten libraries")

cmake_dependent_option(BUILD_KPARTSPLUGIN "Build the KParts plugin." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(KPARTSPLUGIN ${BUILD_KPARTSPLUGIN} "KParts plugin")
cmake_dependent_option(BUILD_DESKTOPPROGRAM "Build the program." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(DESKTOPPROGRAM ${BUILD_DESKTOPPROGRAM} "Program")

set(REQUIRED_QT_VERSION "5.9.0")
set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()
if( BUILD_DESIGNERPLUGIN )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS UiPlugin)
endif()
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS
        Network
        PrintSupport
        Qml
        Script
        ScriptTools
        Xml
    )
endif()
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
    COMPONENTS
    Core
    Widgets
    ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

set(ADDITIONAL_REQUIRED_KF_COMPONENTS)
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Bookmarks
        Completion
        IconThemes
        KCMUtils
        KIO
        NewStuff
        Parts
        Service
        WidgetsAddons
        XmlGui
    )
endif()
if( BUILD_DESKTOPPROGRAM )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Crash
        DBusAddons
        DocTools
    )
endif()
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
    Codecs
    ConfigWidgets
    I18n
    ${ADDITIONAL_REQUIRED_KF_COMPONENTS}
)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https://commits.kde.org/qca"
    TYPE OPTIONAL
    PURPOSE "Needed for most of the algorithms of the checksum tool"
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

# helper libs
add_subdirectory( libs )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( doc )
endif()

set( OKTETALIBS_MAJOR_VERSION 0 )
set( OKTETALIBS_MINOR_VERSION 10 )
set( OKTETALIBS_PATCHLEVEL_VERSION 0 )
set( OKTETALIBS_VERSION "${OKTETALIBS_MAJOR_VERSION}.${OKTETALIBS_MINOR_VERSION}.${OKTETALIBS_PATCHLEVEL_VERSION}" )
set( OKTETALIBS_ABI_VERSION 3 )

set( OKTETALIBS_LIB_SOVERSION 0 )
set( OKTETALIBS_LIB_VERSION ${OKTETALIBS_VERSION} )

# Okteta libs
add_subdirectory( core )
add_subdirectory( gui )

if( BUILD_DESIGNERPLUGIN )
    add_subdirectory( designer )
endif()

# Okteta Kasten components
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( kasten )
endif()
# special mimetypes
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( mimetypes )
endif()

# programs and parts for desktop
add_subdirectory( parts )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( program )
endif()

ki18n_install(po)

if( BUILD_DESKTOPPROGRAM )
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -125,9 +125,22 @@
 
 if(BUILD_TESTING)
   add_library( testoktetacore STATIC ${oktetacore_LIB_OBJS} )
-  set_target_properties( testoktetacore PROPERTIES COMPILE_FLAGS -DOKTETACORE_STATIC_DEFINE )
+  # Configure export macros to be setup as with a static lib
+  # as the source files are reused for static testoktetacore
+  # Saves doing a separate export header.
+  target_compile_definitions( testoktetacore
+    PUBLIC
+      OKTETACORE_STATIC_DEFINE
+  )
   target_include_directories( testoktetacore PUBLIC ${CMAKE_CURRENT_BINARY_DIR} )
-  target_link_libraries( testoktetacore Qt5::Core KF5::I18n KF5::Codecs )
+  target_link_libraries( testoktetacore
+    PUBLIC
+      Qt5::Core
+    PRIVATE
+      KF5::I18n
+      KF5::Codecs
+  )
+
   add_subdirectory( piecetable/tests )
   add_subdirectory( tests )
 endif()

=== libs/kasten/gui/CMakeLists.txt ===
set(KASTENGUI_VERSION ${KASTEN_LIB_VERSION})
set(KASTENGUI_SO_VERSION ${KASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"libkasten\")

macro(KASTENGUI_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Gui  NAMESPACE Kasten
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

kastengui_add_sublibrary(view
    PUBLIC
        SelectedDataWriteable
        DataSelectable
        Zoomable

        AbstractView
        AbstractViewFactory
        AbstractToolView
        AbstractToolViewFactory

        AbstractSelectionView
        AbstractToolInlineView
)

kastengui_add_sublibrary(io/filesystem
    PUBLIC
        ModelEncoderFileSystemExporterConfigEditor
        ModelEncoderFileSystemExporterConfigEditorFactory
)

kastengui_add_sublibrary(io
    PUBLIC
        AbstractModelStreamEncoderConfigEditor
        AbstractModelStreamEncoderConfigEditorFactory

        AbstractModelExporterConfigEditor
        AbstractModelExporterConfigEditorFactory

        AbstractModelDataGeneratorConfigEditor
        AbstractModelDataGeneratorConfigEditorFactory
)

kastengui_add_sublibrary(system
    PUBLIC
        AbstractDocumentStrategy
        MultiDocumentStrategy
        SingleDocumentStrategy

        DialogHandler
        DummyView
        ModelCodecViewManager
        ViewManager

    PRIVATE
        CreateDialog
)

kastengui_add_sublibrary(shell
    PUBLIC
        ToolInlineViewable
        WidgetsDockable
        ViewAreaSplitable

        AbstractViewArea
        AbstractGroupedViews

        SingleViewArea
        SingleViewWindow

        MultiViewAreas
        ShellWindow

        TabbedViews
        StatusBar
        ToolViewDockWidget

    PRIVATE
        StatusBarLayout
        TabBar
        TabWidget
        ToolInlineViewWidget
        ViewAreaBox
        ViewBox
)

kastengui_add_sublibrary(controller
    PUBLIC
        AbstractXmlGuiController
        AbstractXmlGuiControllerFactory

        AbstractLinePopup
        AbstractToolWidget
        ToggleButton
)

okteta_add_sublibrary(Gui  NAMESPACE Kasten
    PUBLIC
        KastenGui
)


okteta_add_library(Gui NAMESPACE Kasten
    PUBLIC
        KastenCore
        Qt5::Widgets
        KF5::XmlGui
    PRIVATE
        KF5::I18n
    VERSION     ${KASTENGUI_VERSION}
    SOVERSION   ${KASTENGUI_SO_VERSION}
    ABIVERSION  ${KASTEN_ABI_VERSION}
    SOURCES   ${kastengui_LIB_SRCS}
    HEADERS   ${kastengui_LIB_HDRS}
    CCHEADERS ${kastengui_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

target_include_directories(KastenGui
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/view>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/io>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/system>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/shell>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/controller>
)

okteta_add_cmakeconfig(Gui NAMESPACE Kasten
)

=== parts/kpart/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_definitions(
    -DTESTPATH1=\"${CMAKE_CURRENT_SOURCE_DIR}/oktetaparttest.hpp\"
    -DTESTPATH2=\"${CMAKE_CURRENT_SOURCE_DIR}/oktetaparttest.cpp\"
)

set_source_files_properties(../partfactory.cpp PROPERTIES
    COMPILE_FLAGS -DOKTETA_VERSION=\\\"${Okteta_VERSION}\\\"
)

# TODO: deduplicate object file generation of
ecm_add_test(
  ../part.cpp
  ../browserextension.cpp
  ../partfactory.cpp
  oktetaparttest.cpp
  TEST_NAME oktetaparttest
  NAME_PREFIX kpart-
  LINK_LIBRARIES
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
  Qt5::Test
)

kcoreaddons_desktop_to_json(oktetaparttest ${CMAKE_CURRENT_BINARY_DIR}/../oktetapart.desktop)

=== debian/changelog ===
okteta (5:0.26.15-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 16:53:34 +0100

okteta (5:0.26.15-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:38:35 +0000

okteta (5:0.26.15-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:07:36 +0000

okteta (5:0.26.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 10:59:38 +0100

okteta (5:0.26.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Dec 2023 21:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: okteta
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),

## okteta 0.26.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(Okteta VERSION 0.26.15)
+project(Okteta VERSION 0.26.16)
 
 set(REQUIRED_KF5_VERSION "5.48.0")
 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
okteta (5:0.26.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Aug 2024 20:02:33 +0200

## okteta 0.26.18

=== debian/changelog ===
okteta (5:0.26.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Thu, 17 Oct 2024 20:59:43 +0200

okteta (5:0.26.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Pass -DBUILD_TERMINALTOOL=ON to cmake to keep building the terminal tool,
    as long as a KF5-based konsole is still around.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 07:34:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper,sodeps
 
+override_dh_auto_configure:
+	dh_auto_configure -Skf5 -- -DBUILD_TERMINALTOOL=ON
+
 override_dh_auto_test:
 	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

## okteta 0.26.19

=== kasten/gui/liboktetawidgets/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/../..
    ${SUTDIR}
)

# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
add_definitions(
    -DOKTETAKASTENGUI_STATIC_DEFINE
)

ecm_add_test(
    bytearraychar8stringencodertest.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    TEST_NAME bytearraychar8stringencodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Test
)

ecm_add_test(
    bytearraychar8stringdecodertest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    TEST_NAME bytearraychar8stringdecodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Test
)

ecm_add_test(
    bytearraychar8stringcodecroundtriptest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    TEST_NAME bytearraychar8stringcodecroundtriptest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Test
)

ecm_add_test(
    bytearrayutf8stringencodertest.cpp
    ${SUTDIR}/bytearrayutf8stringencoder.cpp
    TEST_NAME bytearrayutf8stringencodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Test
)

ecm_add_test(
    bytearrayutf8stringdecodertest.cpp
    ${SUTDIR}/bytearrayutf8stringdecoder.cpp
    TEST_NAME bytearrayutf8stringdecodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Test
)

ecm_add_test(
    bytearrayvalidatortest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    ${SUTDIR}/bytearraychar8stringvalidator.cpp
    ${SUTDIR}/bytearrayutf8stringdecoder.cpp
    ${SUTDIR}/bytearrayutf8stringencoder.cpp
    ${SUTDIR}/bytearrayutf8stringvalidator.cpp
    ${SUTDIR}/bytearrayvaluestringvalidator.cpp
    ${SUTDIR}/bytearrayvalidator.cpp
    TEST_NAME bytearrayvalidatortest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        testoktetacore
        Qt5::Gui
        Qt5::Test
)

=== libs/kasten/core/tests/CMakeLists.txt ===
########### util ###############

set( kastencoretestutil_LIB_SRCS
  util/filesystem.cpp
)

add_library( kastencoretestutil  STATIC ${kastencoretestutil_LIB_SRCS} )
target_link_libraries( kastencoretestutil
  PUBLIC
    Qt5::Core
  PRIVATE
    Qt5::Test
)

########### io ###############

set( kastencoretestio_LIB_SRCS
  testdocumentfileloadthread.cpp
  testdocumentfilereloadthread.cpp
  testdocumentfilewritethread.cpp
  testdocumentfileloadjob.cpp
  testdocumentfileconnectjob.cpp
  testdocumentfilewritejob.cpp
  testdocumentfilereloadjob.cpp
  testdocumentfilewritetojob.cpp
)

add_library( kastencoretestio  STATIC ${kastencoretestio_LIB_SRCS} )
target_link_libraries( kastencoretestio
PUBLIC
  KastenCore
PRIVATE
  KF5::CoreAddons
)

########### testdocumenttest ###############

ecm_add_test(
  testdocument.cpp
  testdocumenttest.cpp
  TEST_NAME testdocumenttest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  KastenCore
  Qt5::Test
)

########### testdocumentfilesynchronizertest ###############

ecm_add_test(
  testdocument.cpp
  testdocumentfilesynchronizer.cpp
  testdocumentfilesynchronizertest.cpp
  TEST_NAME testdocumentfilesynchronizertest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  kastencoretestio
  KastenCore
  kastencoretestutil
  Qt5::Test
)

############ testdocumentfilesynchronizerfactorytest ###############

ecm_add_test(
  testdocument.cpp
  testdocumentfilesynchronizer.cpp
  testdocumentfilesynchronizerfactory.cpp
  testdocumentfilesynchronizerfactorytest.cpp
  TEST_NAME testdocumentfilesynchronizerfactorytest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  kastencoretestio
  KastenCore
  kastencoretestutil
  Qt5::Test
)

########### documentmanagertest ###############

ecm_add_test(
  testdocument.cpp
  documentmanagertest.cpp
  TEST_NAME documentmanagertest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  KastenCore
  Qt5::Test
)

=== debian/changelog ===
okteta (5:0.26.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the terminal tool, as it does not work anymore since konsole is now
    built with Qt 6
    - switch the cmake argument -DBUILD_TERMINALTOOL=ON to
      -DBUILD_TERMINALTOOL=OFF
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Update symbols files, dropping the symbols related to the terminal tool.
  * Update few paths in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 10:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: okteta
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -25,7 +24,7 @@
                libkf5widgetsaddons-dev (>= 5.48.0~),
                libkf5xmlgui-dev (>= 5.48.0~),
                libqca-qt5-2-dev (>= 2.1.0),
-               pkg-config,
+               pkgconf,
                pkg-kde-tools (>= 0.15.23~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
@@ -34,7 +33,7 @@
                shared-mime-info (>= 0.30),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/okteta
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
